Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359121 - [abrt] cinnamon: g_desktop_app_info_get_is_hidden(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: g_desktop_app_info_get_is_hidden(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:413a51cdf16de6ca6f17825e8a4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 10:42 UTC by Sam Stabeler
Modified: 2017-01-17 20:19 UTC (History)
5 users (show)

Fixed In Version: cinnamon-3.2.8-1.fc25 cinnamon-3.2.8-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 19:50:52 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: cgroup (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: core_backtrace (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: dso_list (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: environ (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: exploitable (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: limits (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: maps (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: mountinfo (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: namespaces (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: open_fds (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: proc_pid_status (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details
File: var_log_messages (deleted)
2016-07-22 10:42 UTC, Sam Stabeler
no flags Details

Description Sam Stabeler 2016-07-22 10:42:31 UTC
Description of problem:
cinnamon appeared to crash during operation. The most recent time, I was upating Calibre using the commands from calibre's website, but it has happened seemingly at random. However, since the commoon factor appears to be that system folders are accessed, I wonder if the issue is in the security policies? ( specifically, since I have had issues with my account no longer working in the past, and the common factor is system folders needing to be accessed...)

Version-Release number of selected component:
cinnamon-3.0.6-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: g_desktop_app_info_get_is_hidden
executable:     /usr/bin/cinnamon
global_pid:     1579
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_desktop_app_info_get_is_hidden at gdesktopappinfo.c:2019
 #1 desktop_entry_get_hidden at desktop-entries.c:616
 #2 process_layout at gmenu-tree.c:3690
 #4 gmenu_tree_build_from_layout at gmenu-tree.c:4767
 #5 gmenu_tree_load_sync at gmenu-tree.c:745
 #6 on_apps_tree_changed_cb at cinnamon-app-system.c:349
 #7 _g_closure_invoke_va at gclosure.c:867
 #10 menu_layout_invoke_monitors at menu-layout.c:154
 #15 meta_run at core/main.c:542

Potential duplicate: bug 1036446

Comment 1 Sam Stabeler 2016-07-22 10:42:36 UTC
Created attachment 1182791 [details]
File: backtrace

Comment 2 Sam Stabeler 2016-07-22 10:42:38 UTC
Created attachment 1182792 [details]
File: cgroup

Comment 3 Sam Stabeler 2016-07-22 10:42:39 UTC
Created attachment 1182793 [details]
File: core_backtrace

Comment 4 Sam Stabeler 2016-07-22 10:42:41 UTC
Created attachment 1182794 [details]
File: dso_list

Comment 5 Sam Stabeler 2016-07-22 10:42:42 UTC
Created attachment 1182795 [details]
File: environ

Comment 6 Sam Stabeler 2016-07-22 10:42:44 UTC
Created attachment 1182796 [details]
File: exploitable

Comment 7 Sam Stabeler 2016-07-22 10:42:45 UTC
Created attachment 1182797 [details]
File: limits

Comment 8 Sam Stabeler 2016-07-22 10:42:47 UTC
Created attachment 1182798 [details]
File: maps

Comment 9 Sam Stabeler 2016-07-22 10:42:49 UTC
Created attachment 1182799 [details]
File: mountinfo

Comment 10 Sam Stabeler 2016-07-22 10:42:50 UTC
Created attachment 1182800 [details]
File: namespaces

Comment 11 Sam Stabeler 2016-07-22 10:42:52 UTC
Created attachment 1182801 [details]
File: open_fds

Comment 12 Sam Stabeler 2016-07-22 10:42:54 UTC
Created attachment 1182802 [details]
File: proc_pid_status

Comment 13 Sam Stabeler 2016-07-22 10:42:55 UTC
Created attachment 1182803 [details]
File: var_log_messages

Comment 14 Yamin 2016-09-25 14:13:44 UTC
*** Bug 1379159 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2017-01-08 12:23:27 UTC
cinnamon-3.2.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7360d603c

Comment 16 Fedora Update System 2017-01-08 12:24:10 UTC
cinnamon-3.2.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-47e7f978bf

Comment 17 Fedora Update System 2017-01-09 02:21:52 UTC
cinnamon-3.2.8-1.fc24, cinnamon-screensaver-3.2.13-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-47e7f978bf

Comment 18 Fedora Update System 2017-01-09 02:24:40 UTC
cinnamon-3.2.8-1.fc25, cinnamon-screensaver-3.2.13-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7360d603c

Comment 19 Fedora Update System 2017-01-17 19:50:52 UTC
cinnamon-3.2.8-1.fc25, cinnamon-screensaver-3.2.13-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-01-17 20:19:48 UTC
cinnamon-3.2.8-1.fc24, cinnamon-screensaver-3.2.13-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.